Subtle does not honor 'Always on Top' set by the client
Description
Hello,

| set the Stick and Float properties to true for the VLC client, the VLC is also configured to be Always on Top, and | have this code in

my subtle.rb

grab 'A-Tab' do

clients = Subtlext::View.current.clients

selected = clients.select { |c| c.has_focus? }.first

index = clients.index (selected)

index += 1

index = 0 if index > clients.size - 1

clients[index].focus

end

Which helps me toggle client focus, however when | change the focus of the client given that VLC and another client are on the same

view, the VLC windows goes behind the one that has focus now..

Related issues:
Related to Bug #241: floating windows are not kept on top.

Fixed 08/02/2011

History

#1 - 01/16/2011 11:28 PM - Christoph Kappel

- Status changed from Unconfirmed to Confirmed

Yep, subtle currently ignores that. | will add it tomorrow.

#2 - 01/16/2011 11:30 PM - Wael Nasreddine
Christoph Kappel wrote:

Yep, subtle currently ignores that. | will add it tomorrow.
Thank you, | appreciate it :)

#3 - 01/18/2011 02:40 PM - Christoph Kappel

Hm, VLC menus don't work for me. Can you set VLC to the 'Always on Top' mode and post the output of xprop for the VLC window?

#4 - 01/19/2011 11:50 AM - Christoph Kappel

- Status changed from Confirmed to Feedback

#5 - 01/19/2011 01:42 PM - Wael Nasreddine
Christoph Kappel wrote:

Hm, VLC menus don't work for me. Can you set VLC to the 'Always on Top' mode and post the output of xprop for the VLC window?

Of course,

here you go => http://pastie.org/1476994

#6 - 01/19/2011 01:43 PM - Wael Nasreddine

Wael Nasreddine wrote:
Christoph Kappel wrote:

Hm, VLC menus don't work for me. Can you set VLC to the 'Always on Top' mode and post the output of xprop for the VLC window?

Of course,

here you go => http://pastie.org/1476994

| think it's the property:

_NET_WM STATE(ATOM) = NET_WM_STATE_ABOVE

#7 - 01/20/2011 02:30 PM - Christoph Kappel

Nope, that is the state subtle sets to the window when you enable floating mode. A client mustn't set _NET_WM_STATE itself. | will check why | get
no menus in VLC then.

#8 - 01/21/2011 04:26 PM - Wael Nasreddine
Christoph Kappel wrote:

Nope, that is the state subtle sets to the window when you enable floating mode. A client mustn't set _NET_WM_STATE itself. | will check why |
get no menus in VLC then.

Hey Christoph

I didn't understand which menus you mean ? the File, Edit etc.. menus ? If that's the case and they are not showing up, try resetting VLC settings

$ killall vlc && mv ~/.config/vlc{,-old}

It should bring the menus back, if for some reason they are still not showing up, it might means that VLC was compile without WxGTK support

#9 - 08/07/2011 04:18 PM - Christoph Kappel
- Status changed from Feedback to Fixed

Since r2987 all floating windows stay on top and cannot be lowered under gravity windows anymore. | would say this issue is fixed.
